#3099 closed task (fixed)

Add RTEMS FDT wrapper and shell command to libmisc

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords: FDT FPGA zynq
Cc: Blocked By:
Blocking:

Description

Provide a wrapper to the FDT library for use on RTEMS. The wrapper provides a simplified interface suitable for applications. The shell command provides access to registered FDT blobs so a user can search the tree like a file system and optionally read and write from device addresses.

Change History (5)

comment:1 Changed on Aug 16, 2017 at 3:54:57 AM by Chris Johns

Status: assignedaccepted

comment:2 Changed on Aug 20, 2017 at 1:12:55 AM by Chris Johns <chrisj@…>

Resolution: fixed
Status: acceptedclosed

In 6b7efdb2/rtems:

libmisc/rtems-fdt: Add RTEMS FDT wrapper and shell command to libmisc.

  • Provide application support for handling FDT blobs in RTEMS. This is useful when interfacing FPGA fabrics.
  • Provide a shell command to list a blob as well as provide read and write access to addresses in the FTB.

Closes #3099.

comment:3 Changed on Aug 23, 2017 at 11:40:39 PM by Chris Johns <chrisj@…>

In 602b184f/rtems:

libmisc/rtems-fdt: Add libmisc/rtems-fdt to the cpukit wrapup.

Updates #3099.

comment:4 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.